services:
  bird-rpki-client:
    environment:
      BIRD_CONFIG_TEMPLATE_PATH: "${RPKI_BIRD_SSH_CONFIG_TEMPLATE_PATH:-/config/bird.conf.ssh.template}"
      RPKI_HOST: "${RPKI_BIRD_SSH_RPKI_HOST:-rpki-rtr}"
      RPKI_PORT: "${RPKI_RTR_SSH_PORT:-22}"
      OBSERVE_PROTO: "rpki_ssh"
    volumes:
      - ./bird.conf.ssh.template:/config/bird.conf.ssh.template:ro
      - ${RPKI_BIRD_SSH_CERTS_HOST_DIR:-../../certs}:/config/ssh:ro
    networks:
      - rpki_net

networks:
  rpki_net:
    name: rpki_net
    driver: bridge
